Can I do other else instead "add-apt-repository ppa:swift-core/release"

asked 2013-10-22 09:56:51 -0500

qi-weining gravatar image

I want to install openstack swift in 4 DELL servers. The OS is ubuntu server 12.04 64bit. Some errors happen when "Install common Swift software prereqs:" "add-apt-repository ppa:swift-core/release". The error is

root@cloud1:~# add-apt-repository ppa:swift-core/ppa Traceback (most recent call last): File "/usr/bin/add-apt-repository", line 128, in <module> ppa_info = get_ppa_info_from_lp(user, ppa_name) File "/usr/lib/python2.7/dist-packages/softwareproperties/ppa.py", line 84, in get_ppa_info_from_lp curl.perform() pycurl.error: (6, "Couldn't resolve host 'launchpad.net'")

root@cloud1:~# sudo -E add-apt-repository ppa:swift-core/ppa Traceback (most recent call last): File "/usr/bin/add-apt-repository", line 128, in <module> ppa_info = get_ppa_info_from_lp(user, ppa_name) File "/usr/lib/python2.7/dist-packages/softwareproperties/ppa.py", line 84, in get_ppa_info_from_lp curl.perform() pycurl.error: (6, "Couldn't resolve host 'launchpad.net'")

The network is not behide proxy.

Can I do other steps instead of “add-apt-repository ppa:swift-core/release”。

edit retag flag offensive close merge delete

1 answer

Sort by » oldest newest most voted
0

answered 2013-10-23 12:10:45 -0500

esedmehmet gravatar image

Ubuntu 12.04 has Swift in its "main" archives (version 1.4.8-0ubuntu2.2) which was superseding the PPA version anyway. You skip this step.

edit flag offensive delete link more

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2013-10-22 09:56:51 -0500

Seen: 385 times

Last updated: Oct 23 '13